Get an admin assistant role permission
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "admin_assistant_role_permission",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"permission": "edit_profile"
},
"relationships": {
"admin_assistant_role": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "admin_assistant_role",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Admin Assistant Role Permissions
Get an admin assistant role permission
Returns a specific admin assistant role permission
GET
/
api
/
v1
/
admin_assistant_role_permissions
/
{id}
Get an admin assistant role permission
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "admin_assistant_role_permission",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"permission": "edit_profile"
},
"relationships": {
"admin_assistant_role": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "admin_assistant_role",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Query Parameters
Comma-separated list of relationships to include. Allowed: admin_assistant_role
Response
admin assistant role permission found
Show child attributes
Show child attributes
⌘I